Skip to main content
GET
List virtual GPU cluster servers

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_id
string<uuid4>
required

Cluster unique identifier

Example:

"1aaaab48-10d0-46d9-80cc-85209284ceb4"

Query Parameters

changed_before
string<date-time>

Filters the results to include only servers whose last change timestamp is less than the specified datetime. Format: ISO 8601.

Example:

"2025-10-01T12:00:00Z"

changed_since
string<date-time>

Filters the results to include only servers whose last change timestamp is greater than or equal to the specified datetime. Format: ISO 8601.

Example:

"2025-10-01T12:00:00Z"

ip_address
string

Filter servers by ip address.

Example:

"237.84.2.178"

limit
integer
default:10

Limit of items on a single page

Required range: x <= 1000
Example:

10

name
string

Filter servers by name. You can provide a full or partial name, servers with matching names will be returned. For example, entering 'test' will return all servers that contain 'test' in their name.

offset
integer
default:0

Offset in results list

Required range: x >= 0
Example:

0

order_by
enum<string>
default:created_at.desc

Order field

Available options:
created_at.asc,
created_at.desc,
status.asc,
status.desc
status
enum<string>

Filters servers by status.

Available options:
ACTIVE,
BUILD,
ERROR,
HARD_REBOOT,
MIGRATING,
PAUSED,
REBOOT,
REBUILD,
RESIZE,
REVERT_RESIZE,
SHELVED,
SHELVED_OFFLOADED,
SHUTOFF,
SOFT_DELETED,
SUSPENDED,
VERIFY_RESIZE
Example:

"ACTIVE"

uuids
string[]

Filter servers by uuid.

Example:

"d74c2bb9-cea7-4b23-a009-2f13518ae66d"

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
ClusterInstanceServer · object[]
required

Objects